diff --git a/src/test/regress/expected/index_including.out b/src/test/regress/expected/index_including.out
index 1d253ee77d..5bbe36e653 100644
--- a/src/test/regress/expected/index_including.out
+++ b/src/test/regress/expected/index_including.out
@@ -271,24 +271,12 @@ SELECT indexdef FROM pg_indexes WHERE tablename = 'tbl' ORDER BY indexname;
  CREATE UNIQUE INDEX tbl_c1_c2_c3_c4_key ON public.tbl USING btree (c1, c2) INCLUDE (c3, c4)
 (1 row)
 
-ALTER TABLE tbl DROP COLUMN c3;
-SELECT indexdef FROM pg_indexes WHERE tablename = 'tbl' ORDER BY indexname;
- indexdef 
-----------
-(0 rows)
-
 REINDEX INDEX tbl_c1_c2_c3_c4_key;
-ERROR:  relation "tbl_c1_c2_c3_c4_key" does not exist
 SELECT indexdef FROM pg_indexes WHERE tablename = 'tbl' ORDER BY indexname;
- indexdef 
-----------
-(0 rows)
-
-ALTER TABLE tbl DROP COLUMN c1;
-SELECT indexdef FROM pg_indexes WHERE tablename = 'tbl' ORDER BY indexname;
- indexdef 
-----------
-(0 rows)
+                                          indexdef                                           
+---------------------------------------------------------------------------------------------
+ CREATE UNIQUE INDEX tbl_c1_c2_c3_c4_key ON public.tbl USING btree (c1, c2) INCLUDE (c3, c4)
+(1 row)
 
 DROP TABLE tbl;
 /*
diff --git a/src/test/regress/sql/index_including.sql b/src/test/regress/sql/index_including.sql
index caedc9866d..d1ea026e24 100644
--- a/src/test/regress/sql/index_including.sql
+++ b/src/test/regress/sql/index_including.sql
@@ -156,12 +156,8 @@ DROP TABLE tbl;
  */
 CREATE TABLE tbl (c1 int,c2 int, c3 int, c4 box, UNIQUE(c1, c2) INCLUDE(c3,c4));
 SELECT indexdef FROM pg_indexes WHERE tablename = 'tbl' ORDER BY indexname;
-ALTER TABLE tbl DROP COLUMN c3;
-SELECT indexdef FROM pg_indexes WHERE tablename = 'tbl' ORDER BY indexname;
 REINDEX INDEX tbl_c1_c2_c3_c4_key;
 SELECT indexdef FROM pg_indexes WHERE tablename = 'tbl' ORDER BY indexname;
-ALTER TABLE tbl DROP COLUMN c1;
-SELECT indexdef FROM pg_indexes WHERE tablename = 'tbl' ORDER BY indexname;
 DROP TABLE tbl;
 
 /*
